Subject: Re: bug#38148: [PATCH 1/2] gnu: Add python-pyqtwebengine.

From: Pierre Neidhardt <[email-masked]>
Date: Tue, 14 Jan 2020 10:42:54 +0100

Mike Rosset <[email-masked]> writes:

>> Please apply the above pyqt change to a separate commit.
>
> I missed this comment with my new series. If this really needs to be
> done, I'll have to redo all of the commits and resend the series. Can
> this be avoided if possible?

Yes, this is really necessary, commits must be atomic or else the log
gets easily tangled.

This is not hard to do though:

- rebase-edit the offending commit ("r m" with magit), this will leave
  git in a detached state.

- Soft-reset HEAD~.

- Commit the first changes to a new commit.

- Commit the rest.

Let me know if you need more help.

>> Use version-major+minor from (guix utils) instead?
>
>
> This is not an easy fix, I actually snarfed this from python-pyqt.

No problem, it's OK to leave it.

-- 
Pierre Neidhardt
https://ambrevar.xyz/